Get device actions given device id
curl --request GET \
--url https://cloud.bytebeam.io/api/v1/devices/{device_id}/actions \
--header 'x-bytebeam-api-key: <api-key>' \
--header 'x-bytebeam-tenant: <api-key>'import requests
url = "https://cloud.bytebeam.io/api/v1/devices/{device_id}/actions"
headers = {
"x-bytebeam-api-key": "<api-key>",
"x-bytebeam-tenant": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-bytebeam-api-key': '<api-key>', 'x-bytebeam-tenant': '<api-key>'}
};
fetch('https://cloud.bytebeam.io/api/v1/devices/{device_id}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"device_actions": [
{
"action_status": "<string>",
"errors": {},
"phase": 123,
"action_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"device_id": {},
"progress": 123,
"params": "<string>",
"type": "<string>",
"user_email": "<string>",
"-serial_metadata": {},
"user_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"count": 123
}API Reference
Get device actions given device id
GET
/
api
/
v1
/
devices
/
{device_id}
/
actions
Get device actions given device id
Authorizations
API key required to authenticate requests.
Tenant(Project) name required to identify the project.
Path Parameters
Query Parameters
Available options:
desc, asc Available options:
errors, type, user_email, action_id, updated_at, status, user_name ⌘I